Public Member Functions | Public Attributes | Friends | List of all members
QuattroGraphInternal::Dialog Struct Reference

a dialog header More...

## Public Member Functions
| Dialog ()
| constructor More...

## Public Attributes
WPSBox2i | m_cellBox
| the cell's position More...
int | m_flags1 [5]
| some flags More...
int | m_flags2 [9]
| final flag More...

## Friends
std::ostream & | operator<< (std::ostream &o, Dialog const &gr)
| operator<< More...

## Detailed Description

a dialog header

## Constructor & Destructor Documentation

## ◆ Dialog()

QuattroGraphInternal::Dialog::Dialog | ( |  | ) |
| inline explicit

constructor

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | Dialog const & | gr
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_cellBox

WPSBox2i QuattroGraphInternal::Dialog::m_cellBox

the cell's position

Referenced by QuattroGraphInternal::operator<<(), and QuattroGraph::readHeader().

## ◆ m_flags1

int QuattroGraphInternal::Dialog::m_flags1[5]

some flags

Referenced by Dialog(), QuattroGraphInternal::operator<<(), and QuattroGraph::readHeader().

## ◆ m_flags2

int QuattroGraphInternal::Dialog::m_flags2[9]

final flag

Referenced by Dialog(), QuattroGraphInternal::operator<<(), QuattroGraph::readDialogUnknown(), and QuattroGraph::readHeader().

The documentation for this struct was generated from the following file:

- QuattroGraph.cpp